<?php
    
    global $tpl , $db , $page , $error;

    html::editor();

    if(core::POST()) $page->valid();

    $page->field('name',array(
        'name' => 'nazwa',
        'max_len' => 100,
        'strip_tags' => true
    ));

    $page->field('keywords',array(
        'name' => 'słowa kluczowe',
        'max_len' => 255,
        'strip_tags' => true
    ));

    $page->field('description',array(
        'name' => 'słowa kluczowe',
        'max_len' => 255,
        'strip_tags' => true
    ));
    
    $page->field('value',array(
        'name' => 'treść strony'
    ));
    
    if(core::POST() and $error->valid()){
        $num = 1;
        $modname = $modname2 = text::inlink( $_REQUEST['name'] );
        if($db->chk(esc($modname2),'page','modname')){
            while( $db->chk(esc($modname2),'page','modname') ){
                $modname2 = $modname . $num;
                $num++;
            }
            $modname = $modname2;
        }
        
        query::$i->put( esc($modname) , 'modname' );
    }
    
    $page->StdValid('page','new',false);
    print($db->error);
    $tpl->assign(array(
        'data' => $_POST
    ));
    
    admin::$i->on();

?>